<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Hauptseite!
 */


/*
 * Alle vorkommenden MenuID's
 * 
 *   1  Logindaten senden
 *   2  Passwort vergessen?
 * 
 * 
 * 100  Logout
 * 
 * 
 ********
 * USER *
 ********
 *
 * 299  alle Filme ansehen
 * 298  alle ungesehenen Filme
 * 297  alle gesehenen Filme
 * 296  aktuell ausgeliehenen
 * 295  Persnliche Einstellungen
 *
 * Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
 * 294  reservierte Filme
 * Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de
 *
 * 293  Export
 * 292  Statistik
 * 291  Film gesehen / Kommentar einfgen
 * 290  erweiterte Suche
 * 289  zeige Cover
 * 288  zeige Infos
 * 287  Startseite
 * 
 * 280  Film anzeigen
 * 
 * 
 *********
 * ADMIN *
 *********
 * 
 * 598  Film einfgen / ndern
 * 597  Genres bearbeiten
 * 596  Datenbank aufrumen
 * 595  Film lschen
 * 594  Formate bearbeiten
 * 593  Kollektionen bearbeiten
 * 592  Bild lschen
 * 591  Discverwaltung
 * 
 * 
 **************
 * SUPERADMIN *
 **************
 * 
 * 899  Benutzer hinzufgen / ndern
 * 898  alle Benutzer anzeigen
 * 897  verliehenen Filme anzeigen
 * 896  aktuell kommentierte Filme anzeigen
 * 895  Nachricht schicken
 * 894  Settings
 *
 * Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
 * 893  Reservierung
 * Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de
 *
 * 890  Benutzer lschen
 * 
 * 
 */


// includes
require("./settings/admin.php");
require("./settings/php.php");
require("./classes/class.ctlVar.php");
require("./classes/class.db.php");
require("./classes/class.out.php");
require("./classes/class.phpmailer.php");
require("./classes/class.import.php");
require("./classes/class.settings.php");
require("./includes/functions.php");
require("./includes/funcOutput.php");

// Anfangszeit speichern
$time_start = getmicrotime();

// Sessiondaten holen
session_start();

$myDB = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$output = new out( "  ", 0 );
$settings = new settings( $myDB );
$import = new import();


// falls kein User gesetzt ist oder Skriptpfad anders, wie bei der Anmeldung -> und tschuess...
if ( !isset($_SESSION['UserID']) || "http://".$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'] != $_SESSION['checkAdresse'] )
    header("location:.");


$myVar = new ctlVar( $settings, $myDB, $COOCKIES_ACTIVE );


// Jede Ausgabe wird zwischengespeichert
$output->startBuffer();


// ist Cover-Verzeichnis vorhanden?
if ( FALSE == is_dir($cover_dir) )
{
	$cover_dir = "./covers";
}


// Hier werden Funktionen ausgefhrt, wenn etwas gefordert wird!

// Bei AutoLogin Reservierung abschalten
if (!isset($_SESSION['ResID']) || $_SESSION['ResID'] == $_SESSION['UserID'])
	{
	$sql = "SELECT Wert FROM $myDB->SETTINGS WHERE Variable = 'autoLogin'";
	$rs = $myDB->go($sql);
	$row = $myDB->getRow($rs);
	$_SESSION['ResID'] = $row['Wert'];
	}


// Logout
if ( $myVar->MenuID == 100 )
{
    session_destroy();
    if ( !strlen($settings->logoutAdresse) )
        header("location:index.php?MenuID=1");
    else
        header("location:$settings->logoutAdresse");
}

// einen gesehenen Film eintragen. evtl. mit Kommentar
if ( $myVar->MenuID == 291 && isset($_POST['FilmGesehen']) )
{
    // nachfragen, ob eintrag schon existiert
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_USERS WHERE FILME_FilmID = $myVar->FilmID AND USERS_UserID = {$_SESSION['UserID']}";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    if ( array_key_exists( 'Bewertung', $_REQUEST ) )
        $Bewertung = (int) $_REQUEST['Bewertung'];
    else
        $Bewertung = 0;
    $comment = $myDB->escape_string( htmlentities( $_POST['Kommentar'] ) );
    if ( $row['Anz'] == 0 )
    {
        $sql = "INSERT INTO $myDB->FILME_USERS ( USERS_UserID, FILME_FilmID, Kommentar, istNeu, zeigeNamen, Zeitpunkt, Bewertung ) VALUES ( {$_SESSION['UserID']}, $myVar->FilmID, $comment, 1, {$_POST['zeigeNamen']}, NOW(), $Bewertung )";
        $myVar->erfolg[] = "Bewertung war erfolgreich.";
    }
    else
    {
        $sql = "UPDATE $myDB->FILME_USERS SET Kommentar=$comment, istNeu=1, zeigeNamen={$_POST['zeigeNamen']}, Bewertung=$Bewertung WHERE FILME_FilmID=$myVar->FilmID AND USERS_UserID={$_SESSION['UserID']}";
        $myVar->erfolg[] = "&Auml;nderung war erfolgreich.";
    }
    $myDB->go($sql);
    
    $vars = array();
    $vars['MenuID'] = 280;
    $vars = $myVar->getRequest($vars,FALSE,"&");
    session_write_close();
    header( "location:{$_SERVER['PHP_SELF']}?$vars" );
}

// Export
if ( $myVar->MenuID == 293 && isset($_REQUEST['sent']) )
{
	include("./classes/class.ezpdf.php");
	include("./includes/Menu293_sentExport.php");
}

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
// persnliche Einstellungen ndern
if ( $myVar->MenuID == 295 && isset($_POST['change']) )
    include("./includes/Menu295_sentPersoenliches.php");
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

// wenn Dics ndern, einfgen oder lschen
if ( $myVar->MenuID == 591 && isset($_POST['sent']) )
    include("./includes/Menu591_sentDiscverwaltung.php");

// wenn Covers lschen
if ( $myVar->MenuID == 592 && isset($_POST['Rang']) && isset( $_POST['del'] ) )
{
    $sql = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID AND Rang={$_POST['Rang']}";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    $bild = "$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}.{$row['Extension']}";
    unlink($bild);
    
    // Wenn zu diesem Bild ein Thumbnail existierte, schauen ob ein weiteres Bild existiert, zu dem ein Thumbnail erstellt werden kan
    if ( $row['hatThumbnail'] == 1 )
    {
        // erstmal Thumbnail lschen
        $bild = "$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}_small.{$row['Extension']}";
        unlink($bild);
        
        // schauen, ob ein weiteres Bild existiert
        $sql2 = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID AND Rang!={$_POST['Rang']} ORDER BY Rang";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        if ( $row2['FILME_FilmID'] ) 
            createThumbnail( $row['FILME_FilmID'], $row2['Rang'], $row2['Appendix'], $row2['Extension'], $myDB );
    }
    
    $sql = "DELETE FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID AND Rang={$_POST['Rang']}";
    $myDB->go($sql);
    
    $myVar->MenuID = 598;
    $myVar->printChange = TRUE;
}

// wenn Kollektionen ndern, einfgen oder lschen
if ( $myVar->MenuID == 593 && isset($_POST['sent']) )
    include("./includes/Menu593_sentCollect.php");

// wenn Formate ndern, einfgen oder lschen
if ( $myVar->MenuID == 594 && isset($_POST['sent']) )
    include("./includes/Menu594_sentFormate.php");

// einen Film lschen
if ( $myVar->MenuID == 595 && $_REQUEST['FilmID'] != 0 && isset( $_POST['del'] ) )
{
    $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
    $rs2 = $myDB->go($sql2);
    $row2 = $myDB->getRow($rs2);
    
    // Bild(er) lschen
    $sql = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID";
    $rs = $myDB->go($sql);
    while ( $row = $myDB->getRow($rs) ) {
        $bild = "$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}.{$row['Extension']}";
        unlink($bild);
        if ( $row['hatThumbnail'] == 1 ) {
            $bild = "$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}_small.{$row['Extension']}";
            unlink($bild);
        }
    }
    $sql = "DELETE FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID";
    $rs = $myDB->go($sql);
    
    // Disc(s) lschen
    $sql = "DELETE FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID";
    $rs = $myDB->go($sql);
    
    // Schauspielerzuordnung lschen
    $sql = "DELETE FROM $myDB->FILME_ACTORS WHERE FILME_FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    
    // Schauspielerzuordnung lschen
    $sql = "DELETE FROM $myDB->FILME_REGISSEURE WHERE FILME_FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    
    // Schauspielerzuordnung lschen
    $sql = "DELETE FROM $myDB->FILME_GENRES WHERE FILME_FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    
    // Dann Eintrge in FILME_USERS-Tabelle lschen
    $sql = "DELETE FROM $myDB->FILME_USERS WHERE FILME_FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    
    // Dann eigentlichen Film lschen
    $sql = "DELETE FROM $myDB->FILME WHERE FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    
    
    $myVar->MenuID = 299;
    $myVar->FilmID = 0;
    $myVar->erfolg[] = "Der Film &quot;{$row2['Titel']}&quot; wurde erfolgreich gel&ouml;scht.";
}

// wenn Genre ndern, einfgen oder lschen
if ( $myVar->MenuID == 597 && isset($_POST['sent']) )
    include("./includes/Menu597_sentGenres.php");

// Wenn "Film ndern" angeklickt wurde, prfen ob Admin der Besitzer ist
if ( $myVar->MenuID == 598 && isset($_GET['FilmID']) && $_SESSION['UserRechte'] == 600 )
{
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME WHERE FilmID=$myVar->FilmID AND USERS_UserID=".$_SESSION['UserID'];
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    if ( $row['Anz'] != 1 )
    {
        $myVar->hinweis[] = "Leider hast du nicht das Recht, diesen Film zu bearbeiten.";
        $myVar->MenuID = 287;
    }
}

// Film einfgen, bzw. ndern
if ( $myVar->MenuID == 598 && ( isset($_POST['insert']) || isset($_POST['change']) /*|| isset($_GET['importDB']) */) )
    include("./includes/Menu598_sentFilmEinfuegen.php");

// Settings
if ( $myVar->MenuID == 894 && isset( $_POST['sent'] ) )
    include("./includes/Menu894_sentSettings.php");

// Nachricht an Benutzer schicken
if ( $myVar->MenuID == 895 && isset( $_POST['sentNow'] ) )
    include("./includes/Menu895_sentNachricht.php");

// einen Benutzer hinzufgen / ndern
if ( $myVar->MenuID == 899 && ( isset($_POST['insert']) || isset($_POST['change'])) )
    include("./includes/Menu899_sentAddUser.php");

// einen Benutzer lschen
if ( $myVar->MenuID == 890 && $_POST['UserID'] != 0 && array_key_exists( 'del', $_POST ) && $_POST['del'] > 0 )
{
    if ( isset($demosystem) && ( $_REQUEST['UserID'] == 1 || $_REQUEST['UserID'] == 2 ) )
        $myVar->warnung[] = "Testadmin oder Testuser k&ouml;nnen nicht gel&ouml;scht werden!";
    else
    {
        if ( $_REQUEST['UserID'] != 1 )
        {
            $sql = "DELETE FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
            $rs = $myDB->go($sql);
            $sql = "UPDATE $myDB->FILME_USERS SET USERS_UserID = 0, zeigeNamen = 0 WHERE USERS_UserID = {$_REQUEST['UserID']}";
            $rs = $myDB->go($sql);
        }
        else
            $myVar->warnung[] = "Admin mit der ID 1 kann nicht gel&ouml;scht werden!";
    }
    
    $myVar->MenuID = 898;
}

// neues Kommentar kontrolliert
if ( $myVar->MenuID == 896 && isset( $_POST['UserID'] ) )
{
    $comment = $myDB->escape_string( htmlentities( $_POST['Kommentar'] ) );
    $sql = "UPDATE $myDB->FILME_USERS SET Kommentar = $comment, istNeu = 0 WHERE USERS_UserID = {$_POST['UserID']} AND FILME_FilmID = {$_POST['FilmID']}";
    $myDB->go($sql);
}

// ausgeliehenen Film austragen
if ( $myVar->MenuID == 897 && isset($_GET['get']) && isset($_REQUEST['UserID']) )
{
    $sql = "SELECT UserID, UserName, Titel, COLLECT_CollectID, myFilmID FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON FILME_FilmID=FilmID INNER JOIN $myDB->USERS ON di.USERS_UserID = UserID AND di.USERS_UserID = {$_REQUEST['UserID']} AND FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    if ( $row = $myDB->getRow($rs) )
    {
        $sql2 = "UPDATE $myDB->DISCS SET USERS_UserID = 0, ausgeliehenAm ='0000-00-00' WHERE USERS_UserID = {$row['UserID']} AND FILME_FilmID = $myVar->FilmID";
        $myDB->go($sql2);
        $id = $row['COLLECT_CollectID']."-".getAnzStellenID( $row['myFilmID'], $settings );
        
        $myVar->erfolg[] = "&quot;{$row['Titel']}&quot; ($id) wurde von {$row['UserName']} zur&uuml;ckgegeben!";
    }
}

// verliehenen Film eintragen
if ( $myVar->MenuID == 897 && isset($_GET['set']) && isset( $myVar->FilmID ) && isset($_REQUEST['UserID']) )
{
    if ( !count( $myVar->warnung ) )
    {
        // zhlen, ob eine Disc dieses Filmes verliehen ist
        $sql = "SELECT DiscID FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID";
        $rs = $myDB->go($sql);
        $anz = 0;
        while ( $row = $myDB->getRow($rs) )
        {
            $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$myVar->myFilmID[0]} AND DiscID={$row['DiscID']} AND di.USERS_UserID != 0";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);
            $anz += $row2['Anz'];
        }
        if ( $anz == 0 )
        {
            $sql2 = "UPDATE $myDB->DISCS SET USERS_UserID = {$_REQUEST['UserID']}, ausgeliehenAm = '". date('Y-m-d') ."' WHERE FILME_FilmID = $myVar->FilmID";
            $myDB->go($sql2);
            
            $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);
            $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde eingetragen!";
        }
        else
            $myVar->hinweis[] = "Dieser Film oder eine Disk dieses Filmes ist bereits verliehen!";
    }
}

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
// Reservierung des Films austragen
if ( $myVar->MenuID == 893 && isset($_GET['get']) && isset($_REQUEST['UserID']) )
{
    if ( !count( $myVar->warnung ) )
    {
      if ( isset($_REQUEST['set']) )
      {
        // zhlen, ob eine Disc dieses Filmes verliehen ist
        $sql = "SELECT DiscID FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID";
        $rs = $myDB->go($sql);
        $anz = 0;
        while ( $row = $myDB->getRow($rs) )
        {
            $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$myVar->myFilmID[0]} AND DiscID={$row['DiscID']} AND di.USERS_UserID != 0";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);
            $anz += $row2['Anz'];
        }
        if ( $anz == 0 )
        {
            $sql2 = "UPDATE $myDB->DISCS SET USERS_UserID = {$_REQUEST['UserID']}, ausgeliehenAm = '". date('Y-m-d') ."' WHERE FILME_FilmID = $myVar->FilmID";
            $myDB->go($sql2);
            
            $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);

            $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);

            // reservierten Film lschen
            $sql3 = "SELECT UserID, UserName, Titel, COLLECT_CollectID, myFilmID FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->FILME fi ON FILME_FilmID=FilmID INNER JOIN $myDB->USERS ON re.USERS_UserID = UserID AND re.USERS_UserID = {$_REQUEST['UserID']} AND FilmID = $myVar->FilmID";
            $rs = $myDB->go($sql3);

            if ( $row = $myDB->getRow($rs) )
                {
                $sql4 = "DELETE FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_REQUEST['UserID']} AND FILME_FilmID = $myVar->FilmID LIMIT 1";
                $myDB->go($sql4);

                $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde an {$row3['UserName']} verliehen!";
                }
        }
        else
            $myVar->hinweis[] = "Dieser Film oder eine Disk dieses Filmes ist bereits verliehen!";
     }
     else
      {
      $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
      $rs2 = $myDB->go($sql2);
      $row2= $myDB->getRow($rs2);

      $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
      $rs3 = $myDB->go($sql3);
      $row3 = $myDB->getRow($rs3);

      $sql4 = "DELETE FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_REQUEST['UserID']} AND FILME_FilmID = $myVar->FilmID LIMIT 1";
      $myDB->go($sql4);
      $myVar->erfolg[] = "Die Reservierung von &quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) fr {$row3['UserName']} wurde gelscht";
      }
    }
}

// Einfgen der Reservierung - User Reservierung            | www.LifesHammer.de - Webmaster@LifesHammer.de
// Reservierung eines Films eintragen
if ( $myVar->MenuID == 280 && isset($_GET['reservieren']) && isset( $myVar->FilmID ) )
{
    if ( !count( $myVar->warnung ) )
    {
        // prfen ob eine Disc dieses Filmes bereits an anfragenden User verliehen ist
        $sql = "SELECT DiscID FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID AND USERS_UserID = {$_SESSION['UserID']}";
        $rs = $myDB->go($sql);
        $anz = 0;
        while ( $row = $myDB->getRow($rs) )
        {
            $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$myVar->myFilmID[0]} AND DiscID={$row['DiscID']} AND di.USERS_UserID != 0";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);
            $anz += $row2['Anz'];
        }
        if ( $anz == 0 )
        {
            $sql = "SELECT COUNT( * ) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_SESSION['UserID']} AND Filme_FilmID = $myVar->FilmID";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            $anz += $row['Anz'];

            $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);

            if( $anz == 0 )
            {
            $sql2 = "INSERT $myDB->RESERVIERUNG SET USERS_UserID = {$_SESSION['UserID']}, reserviertAm = '". date('Y-m-d') ."', FILME_FilmID = $myVar->FilmID";
            $myDB->go($sql2);
            $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde fr dich reserviert!";
            }
            else
            $myVar->hinweis[] = "Du hast &quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) schon fr dich reserviert!";
       }
        else
        $myVar->hinweis[] = "Dieser Film oder eine Disk dieses Filmes ist bereits von dir ausgeliehen!"; 
    }
}

// Einfgen der Reservierung - User Reservierung            | www.LifesHammer.de - Webmaster@LifesHammer.de
// Reservierung des Films austragen
if ( $myVar->MenuID == 294 && isset($_GET['get']) && isset($_SESSION['UserID']) )
{
    if ( !count( $myVar->warnung ) )
    {
            // reservierten Film lschen
            $sql3 = "SELECT UserID, UserName, Titel, COLLECT_CollectID, myFilmID FROM $myDB->RESERVIERUNG re INNER JOIN $myDB->FILME fi ON FILME_FilmID=FilmID INNER JOIN $myDB->USERS ON re.USERS_UserID = UserID AND re.USERS_UserID = {$_SESSION['UserID']} AND FilmID = $myVar->FilmID";
            $rs = $myDB->go($sql3);

            if ( $row = $myDB->getRow($rs) )
                {
                $sql4 = "DELETE FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_SESSION['UserID']} AND FILME_FilmID = $myVar->FilmID LIMIT 1";
                $myDB->go($sql4);
                $myVar->erfolg[] = "Deine Reservierung fr &quot;{$row['Titel']}&quot; ($myVar->myFilmIDstring) wurde von dir gelscht!";
                }
    }
}

// Einfgen der Reservierung - Admin User Reservierung      | www.LifesHammer.de - Webmaster@LifesHammer.de    
// Reservierung eines Films eintragen
// Implementiert, falls Film nicht sofort verliehen werden soll oder fr einen bestimmten User reserviert werden soll
if ( $myVar->MenuID == 893 && isset($_GET['reservieren']) && isset( $myVar->FilmID ) && isset($_REQUEST['UserID']) )
{
    if ( !count( $myVar->warnung ) )
    {
        // prfen ob eine Disc dieses Filmes bereits an ausgewhlten User verliehen ist
        $sql = "SELECT DiscID FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID AND USERS_UserID = {$_REQUEST['UserID']}";
        $rs = $myDB->go($sql);
        $anz = 0;
        while ( $row = $myDB->getRow($rs) )
        {
            $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$myVar->myFilmID[0]} AND DiscID={$row['DiscID']} AND di.USERS_UserID != 0";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);
            $anz += $row2['Anz'];
        }
            $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);
        if ( $anz == 0 )
        {
            $sql = "SELECT COUNT( * ) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_REQUEST['UserID']} AND Filme_FilmID = $myVar->FilmID";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            $anz += $row['Anz'];

            $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
            $rs2 = $myDB->go($sql2);
            $row2 = $myDB->getRow($rs2);
    


            if( $anz == 0 )
            {
            $sql2 = "INSERT $myDB->RESERVIERUNG SET USERS_UserID = {$_REQUEST['UserID']}, reserviertAm = '". date('Y-m-d') ."', FILME_FilmID = $myVar->FilmID";
            $myDB->go($sql2);
            $myVar->erfolg[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde fr {$row3['UserName']} reserviert!";
            }
            else
            $myVar->hinweis[] = "&quot;{$row2['Titel']}&quot; ($myVar->myFilmIDstring) wurde schon fr {$row3['UserName']} reserviert!"; 
       }
        else
        $myVar->hinweis[] = "Dieser Film oder eine Disk dieses Filmes ist bereits an {$row3['UserName']} verliehen!"; 
    }
   
}
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de


// Hier werden Ausgaben fr das Men gemacht
printHeader( $settings );

// Cover zeigen
// dies muss hier stehen, da nicht das Menu mit angezeigt werden soll
if ( $myVar->MenuID == 289 )
{
    $sql = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID = $myVar->FilmID AND Rang={$_GET['Rang']}";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    echo "<div style=\"text-align:center\">";
    echo "<a href=\"javascript:window.close()\"><img src=\"$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}.{$row['Extension']}\" border=\"0\" alt=\"cover\" /></a>";
    echo "<p style=\"margin:0em\"><a href=\"javascript:window.close()\" style=\"font-size:0.8em\">Fenster schlie&szlig;en</a></p>";
    echo "<script type=\"text/javascript\">";
    echo "window.focus()";
    echo "</script>";
    echo "</div>";
    
    // Skript beenden...
    echo "</body>\n</html>";
    // Objekt in Session speichern
    $_SESSION['myVar'] = serialize( $myVar );
    exit(0);
}

echo "<div id=\"seite\">";

printTop( $myVar, $settings );
printUntermenu( $myDB, $myVar, $settings );


if ( isset($_GET['start']) )
{
    
    if ( $_SESSION['anzFehlLogin'] )
    {
        echo "<div class=\"message\" style=\"background-color:#f88\">";
        echo "<p style=\"margin:0\">Seit dem letzten Login ";
        if ( $_SESSION['anzFehlLogin'] == 1 )
            echo "wurde eine Fehlanmeldung";
        else
            echo "wurden {$_SESSION['anzFehlLogin']} Fehlanmeldungen";
        echo " gez&auml;hlt.</p>";
        echo "</div>";
    }
}


// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
// Navigationsleiste fr Filme
if ( $myVar->MenuID <= 299 && $myVar->MenuID >= 296 || $myVar->MenuID == 294 )
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de
{
    echo "<div class=\"navi\" id=\"naviOben\" >";
    berechneNaviFilme( $myVar, $myDB );
    printLetters( $myVar, $myDB );
    if ( ( $myVar->searchIn == "Titel" || $myVar->searchIn == "FilmID" ) && strlen( $myVar->searchFor ) >= 2 )
        printInfoSuche( $myVar, $myDB );
    else
        printInfoAuswahl( $myVar, $myDB );
    printNavi( $myVar );
    echo "</div>";
}

if ( $myVar->MenuID == 290 )
{
    // Navigationsleiste fr Ausgabe von Actors oder Regisseure
    if ( $myVar->ActorID || $myVar->RegisseurID  )
    {
        echo "<div class=\"navi\" id=\"naviOben\" >";
        berechneNaviActReg( $myVar, $myDB );
        printLetters( $myVar, $myDB );
        printInfoActReg( $myVar, $myDB );
        printNavi( $myVar );
        echo "</div>";
    }
    
    // Navigationsleiste fr Suche
    else if ( ( $myVar->searchIn == 'Actors' || $myVar->searchIn == 'Regisseure' ) 
         && strlen($myVar->searchFor) >= 2
         && !isset($_GET['formular']) )
    {
        echo "<div class=\"navi\" id=\"naviOben\" >";
        berechneNaviSuche( $myVar, $myDB );
        printLetters( $myVar, $myDB );
        printInfoSuche( $myVar, $myDB );
        printNavi( $myVar );
        echo "</div>";
    }
}

// Navigationsleiste fr alle Benutzer
if ( $myVar->MenuID == 898 )
{
    echo "<div class=\"navi\" id=\"naviOben\" >";
    berechneNaviUsers( $myVar, $myDB );
    printInfoUsers( $myVar, $myDB );
    printNavi( $myVar );
    echo "</div>";
}


if ( count( $myVar->warnung ) )
{
    echo "<ul class=\"message\" style=\"list-style:none; background-color:#f88\">";
    for ( $i=0; $i<count( $myVar->warnung ); ++$i )
        echo "<li>".$myVar->warnung[$i]."</li>";
    echo "</ul>";
}
if ( count( $myVar->hinweis ) )
{
    echo "<ul class=\"message\" style=\"list-style:none; background-color:#ffa\">";
    for ( $i=0; $i<count( $myVar->hinweis ); ++$i )
        echo "<li>".$myVar->hinweis[$i]."</li>";
    echo "</ul>";
}
if ( count( $myVar->erfolg ) )
{
    echo "<ul class=\"message\" style=\"list-style:none; background-color:#cfc\">";
    for ( $i=0; $i<count( $myVar->erfolg ); ++$i )
        echo "<li>".$myVar->erfolg[$i]."</li>";
    echo "</ul>";
}

// Container fr den Inhalt
echo "<div id=\"inhalt\">";



// Film anzeigen
if ( $myVar->MenuID == 280 )
    include("./includes/Menu280_FilmAnzeigen.php");

// Startseite
if ( $myVar->MenuID == 287 && $_SESSION['UserRechte'] > 0 )
    include("./includes/Menu287_Startseite.php");

// Infos zeigen
if ( $myVar->MenuID == 288 )
{
    $array = file("./infos/Infos.txt");
    echo "\n";
    for ( $i = 0; $i<count($array); $i++ )
        echo "  ".str_replace( "&name;", $_SESSION['UserName'], $array[$i] );
}

// Suchen! Marsch, Marsch!
if ( $myVar->MenuID == 290 )
    include("./includes/Menu290_irgendwasSuchen.php");

// Formular um gesehenen Film einzutragen, evtl. mit Kommentar
if ( $myVar->MenuID == 291 )
{
    $sql = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    $sql2 = "SELECT Bewertung, Kommentar, zeigeNamen FROM $myDB->FILME fi INNER JOIN $myDB->FILME_USERS fu ON FILME_FilmID=FilmID WHERE fi.FilmID=$myVar->FilmID AND fu.USERS_UserID={$_SESSION['UserID']}";
    $rs2 = $myDB->go($sql2);
    $row2 = $myDB->getRow($rs2);

    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";

    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<table class=\"bewertung_kommentar\" style=\"width:100%;\">";    
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"padding:0px 0px 20px 0px; vertical-align:top;\">";
    echo "<span style=\"font-weight:bold;\">{$row['Titel']}</span><br />";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"vertical-align:top;\">";
    echo "optionaler Kommentar: (max. 255 Zeichen)<br />";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"vertical-align:top;\">";
    echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 450px; background-color: #FFFFFF;\" type=\"text\" name=\"Kommentar\" maxlength=\"255\" value=\"{$row2['Kommentar']}\" /><br />";
    echo "</td>";
    echo "</tr>";
    // Soll der Namen am Kommentar angezeigt werden?
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"padding:0px 0px 10px 0px; vertical-align:top;\">";
    echo "zeige Namen am Kommentar:";
    for ( $i=1; $i>=0; --$i )
    {
        echo "<input type=\"radio\" name=\"zeigeNamen\" value=\"$i\" ";
        
        // hier habe ich mir wohl selber ein Ei gelegt, um den richtigen Wert zu ermitteln... 
        if ( $i == 1 && $row2['zeigeNamen'] == '' || $row2['zeigeNamen'] == 1 && $i == 1 || $row2['zeigeNamen'] != '' && $i == 0 && $row2['zeigeNamen'] != 1  )
            echo "checked=\"checked\" ";
        if ( $i == 1 )
            echo "/> ja";
        else
            echo "/> nein";
    }
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"vertical-align:top;\">";
    // Die Bewertung fr den Film
    echo "optionale Bewertung: (1 = miserabel bis 10 = sehr gut)";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"padding:0px 0px 20px 0px; vertical-align:top;\">";
    for ( $i=1; $i<=10; ++$i )
    {
        echo "<input class=\"checkbox\" style=\"margin-left: 0.5em\" type=\"radio\" name=\"Bewertung\" value=\"$i\" ";
        if ( $row2['Bewertung'] == $i )
            echo "checked=\"checked\" ";
        echo "/> <span style=\"font-size: 0.82em; font-family: Tahoma;\">$i</span>";
    }
    echo $myVar->getRequest("",TRUE);
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"vertical-align:top;\">";
    echo "<input class=\"buttonSubmit\" type=\"button\" value=\"zur&uuml;ck\" onClick=\"history.back()\" />";
    echo "<input class=\"buttonSubmitAktion\" type=\"submit\" name=\"FilmGesehen\" value=\"senden\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";      
    echo "</form>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
}

// Statistik ausgeben
if ( $myVar->MenuID == 292 )
    include("./includes/Menu292_Statistik.php");

// Export
if ( $myVar->MenuID == 293 )
    include("./includes/Menu293_Export.php");

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
// des Benutzers Einstellungen
if ( $myVar->MenuID == 295 )
    include("./includes/Menu295_Persoenliches.php");

// Filme anzeigen: ob alle, gesehene, ungesehene oder nach Genre sortiert...
if ( $myVar->MenuID == 299 || $myVar->MenuID == 298 || $myVar->MenuID == 297 || $myVar->MenuID == 296 || $myVar->MenuID == 294 )
    include("./includes/Menu_FilmeAnzeigen.php");
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

// wenn Dics ndern, einfgen oder lschen
if ( $myVar->MenuID == 591 )
    include("./includes/Menu591_Discverwaltung.php");

// nachfragen bevor ein Cover lschen
if ( $myVar->MenuID == 592 && $_REQUEST['FilmID'] != 0 )
{
    $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
    $rs2 = $myDB->go($sql2);
    $row2 = $myDB->getRow($rs2);

    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";
    
    echo "<h2>Soll ein Cover zum Film &quot;{$row2['Titel']}&quot; wirklich gel&ouml;scht werden?</h2>";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";

    echo "<table  style=\"width:100%;\">";    
    echo "<tr>";
    echo "<td style=\"font-size: 0.82em; font-family: Tahoma; width:600px; vertical-align:top;\">";
    echo "Soll ein Cover zum Film <span style=\"font-weight:bold;\">{$row2['Titel']}</span> wirklich gel&ouml;scht werden?&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
    echo $myVar->getRequest("",TRUE); 
    echo "<input class=\"buttonSubmit\" type=\"button\" value=\"zur&uuml;ck\" onClick=\"history.back()\" />";
    echo "<input class=\"buttonSubmitWarning\" type=\"submit\" name=\"del\" value=\"l&ouml;schen\" />";
    echo "<input type=\"hidden\" name=\"Rang\" value=\"{$_REQUEST['Rang']}\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";

    echo "</form>";

    echo "</td>";
    echo "</tr>";
    echo "</table>";
}

// alles was mit Kollektionen zu tun hat
if ( $myVar->MenuID == 593 )
    include("./includes/Menu593_Collect.php");

// alles was mit Formate zu tun hat
if ( $myVar->MenuID == 594 )
    include("./includes/Menu594_Formate.php");

// nachfragen bevor einen Film lschen
if ( $myVar->MenuID == 595 && $_REQUEST['FilmID'] != 0 )
{
    $sql2 = "SELECT Titel FROM $myDB->FILME WHERE FilmID=$myVar->FilmID";
    $rs2 = $myDB->go($sql2);
    $row2 = $myDB->getRow($rs2);

    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";

    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";

    echo "<table  style=\"width:100%;\">";    
    echo "<tr>";
    echo "<td style=\"font-size: 0.82em; font-family: Tahoma; width:600px; vertical-align:top;\">";
    echo "Soll der Film <span style=\"font-weight:bold;\">{$row2['Titel']}</span> wirklich gel&ouml;scht werden?&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
    echo $myVar->getRequest("",TRUE);
    echo "<input class=\"buttonSubmit\" type=\"button\" value=\"zur&uuml;ck\" onClick=\"history.back()\" />";
    echo "<input class=\"buttonSubmitWarning\" type=\"submit\" value=\"l&ouml;schen\" />";
    echo "<input type=\"hidden\" name=\"del\" value=\"1\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";

    echo "</form>";

    echo "</td>";
    echo "</tr>";
    echo "</table>";
}

// alles was mit Genre zu tun hat
if ( $myVar->MenuID == 597 )
    include("./includes/Menu597_Genres.php");

// Film einfuegen oder aendern
if ( $myVar->MenuID == 598 )
    include("./includes/Menu598_FilmEinfuegen.php");

// nachfragen bevor einen Benutzer lschen
if ( $myVar->MenuID == 890 && $_REQUEST['UserID'] != 0 )
{
    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $myVar->getRequest("",TRUE);
    echo "<table  style=\"width:100%;\">";    
    echo "<tr>";
    echo "<td style=\"font-size: 0.82em; font-family: Tahoma; width:600px; vertical-align:top;\">";
    echo "Benutzer wirklich l&ouml;schen?&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
    echo "<input class=\"buttonSubmit\" type=\"button\" value=\"zur&uuml;ck\" onClick=\"history.back()\" />";
    echo "<input class=\"buttonSubmitWarning\" type=\"submit\" value=\"l&ouml;schen\" />";
    echo "<input type=\"hidden\" name=\"UserID\" value=\"{$_REQUEST['UserID']}\" />";
    echo "<input type=\"hidden\" name=\"del\" value=\"1\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";

    echo "</form>";

    echo "</td>";
    echo "</tr>";
    echo "</table>";
}

// Settings
if ( $myVar->MenuID == 894 )
    include("./includes/Menu894_Settings.php");

// Nachricht an Benutzer schicken
if ( $myVar->MenuID == 895 )
    include("./includes/Menu895_Nachricht.php");

// neue Kommentare kontrollieren
if ( $myVar->MenuID == 896 )
{
    $sql = "SELECT UserName, UserID, Kommentar, zeigeNamen, FilmID, Titel FROM $myDB->FILME_USERS a INNER JOIN $myDB->USERS ON a.USERS_UserID = UserID INNER JOIN $myDB->FILME ON FILME_FilmID = FilmID AND istNeu AND LENGTH(Kommentar) ORDER BY UserName, Titel";
    $rs = $myDB->go($sql);
    
    for( $i = 0; $row = $myDB->getRow($rs); ++$i )
    {
        echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}?MenuID=896\">";
        echo "<table style=\"width:100%;\" >";    
        echo "<tr>";
        echo "<td style=\"vertical-align:top; padding: 3em;\">";

        echo "<table style=\"width:100%;\">";    
        echo "<tr>";
        echo "<td colspan=\"2\" style=\"vertical-align:top;\">";
        echo "<span style=\"font-size: 0.82em; font-family: Tahoma;\">".$row['UserName']." kommentierte: <span style=\"font-weight:bold;\">".$row['Titel']."</span><br />";
        echo "zeige Namen: ";
        if ( $row['zeigeNamen'] )
            echo "ja</span>";
        else
            echo "nein";
        echo "</td>";   
        echo "</tr>";   
        echo "<tr>";
        echo "<td style=\"width:130px; vertical-align:top;\">";
        echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 300px; background-color: #FFFFFF;\" type=\"text\" name=\"Kommentar\" value=\"{$row['Kommentar']}\" maxlength=\"255\" /> ";
        echo "</td>";        
        echo "<td style=\"vertical-align:middle;\">";
        echo "<input type=\"image\"  style=\"display: block;\" src=\"img/senden.gif\" name=\"senden\" value=\"\" />";
        echo $myVar->getRequest("",TRUE);
        echo "<input type=\"hidden\" name=\"FilmID\" value=\"{$row['FilmID']}\" />";
        echo "<input type=\"hidden\" name=\"UserID\" value=\"{$row['UserID']}\" />";
        echo "</td>";
        echo "</tr>";
        echo "</table>";

        echo "</td>";
        echo "</tr>";
        echo "</table>";

        echo "</form>";
    }
    
    if ( $i == 0 )
        echo "Es sind keine neuen Kommentare eingetragen.";
}

// ausgeliehene Filme anzeigen und neue eintragen
if ( $myVar->MenuID == 897 )
    include("./includes/Menu897_verlieheneFilme.php");

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
if ( $myVar->MenuID == 893 )
    include("./includes/Menu893_Reservierung.php");
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

// alle Benutzer anzeigen
if ( $myVar->MenuID == 898 && $myVar->anzIndividuen >= 1 )
{
    $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
    $sql = "SELECT * FROM $myDB->USERS ORDER BY UserName ASC LIMIT $beginOutput, $myVar->maxShow";
    
    echo "<table id=\"filmTable\">";
    printUserTableHead( $myVar->MenuID );
    printUserTable( $sql, $myDB, $myVar );
    echo "</table>";
}

// einen Benutzer hinzufgen / ndern
if ( $myVar->MenuID == 899 )
    include("./includes/Menu899_addUser.php");


echo "</div>";

/*
if ( $myVar->MenuID <= 299 && $myVar->MenuID >= 296 || $myVar->MenuID == 893 || $myVar->MenuID == 898 ||
     $myVar->MenuID == 290 && ( isset($_REQUEST['ActorID']) || isset($_REQUEST['RegisseurID']) || isset($_REQUEST['searchFor']) ) )
{
    if ( $myVar->anzThisPage >= 20 )
    {
        echo "<div class=\"navi\" id=\"naviUnten\" >";
        printNavi( $myVar );
        echo "</div>";
    }
}
*/

/* 
 * COPYRIGHT-HINWEISE DRFEN NICHT VERNDERT WERDEN!
 * LINKS AUF WWW.DER-DOMI.DE MSSEN BESTEHEN BLEIBEN!
 */
printFootline($settings);
echo "</div>";
echo "</body>";
echo "</html>";

$output->put( $output->endBuffer() );

echo "\n<!--\n     Projekt und Entwicklung: Dominik Erdmann";
echo "\n     Design: Fabian Ramme";
echo "\n     Vorlage des Designs: Benjamin Link \n-->";

echo "\n<!-- Seite generiert in ";
echo round((getmicrotime() - $time_start)*1000,2)." ms -->";

?>
